# High Availability Handler

This software monitors and make decision in our High Availability environment.

## Development

You'll need the [elixir](https://elixir-lang.org/) toolchain available.

```
cd ha-handler/
mix deps.get
iex -S mix
```

Tip: you can use containers to run the various external components of the HA
setup locally without tainting your system. e.g.

* `podman run -it --rm --network=host --mount type=bind,src=local_haproxy_conf_folder/,target=/usr/local/etc/haproxy haproxy:2.2.20-alpine3.15`
